FROM python:3.9-slim-bullseye

ENV DJANGO_WORKDIR="/usr/src/app"
ENV DJANGO_SETTINGS_MODULE="settings.config.development"

EXPOSE 8000

RUN mkdir -p /usr/src/app
WORKDIR /usr/src/app

COPY requirements.txt .

# Install python package
RUN python3 -m pip install --no-cache-dir -r requirements.txt

# Copy the application
COPY src .

ENTRYPOINT [ "python3", "manage.py", "runserver", "8000" ]
